Bug 1848437 - OCP 4.4 metadata.managedFields.fieldsType Invalid Value. Must be FieldsV1
Summary: OCP 4.4 metadata.managedFields.fieldsType Invalid Value. Must be FieldsV1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.z
Assignee: Stefan Schimanski
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On: 1849340
Blocks: 1848443
TreeView+ depends on / blocked
 
Reported: 2020-06-18 11:22 UTC by Stefan Schimanski
Modified: 2020-09-01 19:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1842660
: 1848443 (view as bug list)
Environment:
Last Closed: 2020-09-01 19:41:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25154 0 None closed Bug 1848437: 4.4: UPSTREAM: 91748: FieldManager: Reset if we receive nil or a list with one 2020-09-11 15:25:31 UTC
Red Hat Product Errata RHBA-2020:3514 0 None None None 2020-09-01 19:41:54 UTC

Comment 4 Ke Wang 2020-08-25 10:23:18 UTC
Verified with OCP build 4.4.0-0.nightly-2020-08-25-031758.
Refer to the doc : https://access.redhat.com/documentation/en-us/red_hat_advanced_cluster_management_for_kubernetes/2.0/html/install/installing#installing-red-hat-advanced-cluster-management-from-the-console, installed ACM on OCP 4.4 successfully 

After finished, checking,
$ oc project advtest
Already on project "advtest" on server "https://api.ke2541.gcp.openshift.com:6443".

$ oc get csv -n advtest
NAME                                 DISPLAY                                      VERSION   REPLACES   PHASE
advanced-cluster-management.v2.0.1   Advanced Cluster Management for Kubernetes   2.0.1                Succeeded

$ oc get MultiClusterHub -o json |jq .items[0].status
{
  "currentVersion": "2.0.1",
  "desiredVersion": "2.0.1",
  "phase": "Running"
}


The ACM installed successfully as expected, so move the bug verified.

Comment 6 errata-xmlrpc 2020-09-01 19:41:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.19 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3514


Note You need to log in before you can comment on or make changes to this bug.